Imports System.Drawing

Public Class ClsCards

    Private frmCards As frmImages

    '     .
    Public Enum CardStyle
        Castle = 1
        Fish = 2
        Flowers = 3
        Hand = 4
        Robot = 5
        SeaShell = 6
        Tropic = 7
        Weave = 8
    End Enum

    '     .
    Private CurrentStyleCard As CardStyle
    '------------------------------------------------------------------
    ' .
    Public Sub New()

        frmCards = New frmImages()
        CurrentStyleCard = CardStyle.Castle

    End Sub
    '------------------------------------------------------------------
    '     index   ImgLstCards. IndexCard 1-52.
    Public Function SetCardImage(ByVal indexCard%) As Image

        Try
            If indexCard > 0 And indexCard < 53 Then
                Return frmCards.ImgLstCards.Images(indexCard - 1)
            Else
                Return Nothing
            End If
        Catch
            Return Nothing
        End Try

    End Function
    '------------------------------------------------------------------
    '         CardStyle. 
    Public Function SetCardBack() As Image

        Try
            With frmCards.ImgLstCardsBack
                Select Case CurrentStyleCard
                    Case Is = CardStyle.Castle : Return .Images(0)
                    Case Is = CardStyle.Fish : Return .Images(1)
                    Case Is = CardStyle.Flowers : Return .Images(2)
                    Case Is = CardStyle.Hand : Return .Images(3)
                    Case Is = CardStyle.Robot : Return .Images(4)
                    Case Is = CardStyle.SeaShell : Return .Images(5)
                    Case Is = CardStyle.Tropic : Return .Images(6)
                    Case Is = CardStyle.Weave : Return .Images(7)
                    Case Else : Return Nothing
                End Select
            End With
        Catch
            Return Nothing
        End Try

    End Function
    '------------------------------------------------------------------
    '    .
    Public Sub SetCardStyle(ByVal StyleCard As CardStyle)

        Try
            CurrentStyleCard = StyleCard
        Catch
        End Try

    End Sub
    '------------------------------------------------------------------
    '    ...
    Public Function GetCardValue(ByVal indexCard%) As String

        Try
            If indexCard > 0 And indexCard < 53 Then
                Dim ypol% = indexCard Mod 13
                Select Case ypol
                    Case Is = 1 : Return "ACE"
                    Case Is = 0 : Return "KING"
                    Case Is = 11 : Return "JACK"
                    Case Is = 12 : Return "QUEEN"
                    Case Else : Return ypol
                End Select
            End If
        Catch
            Return (-1)
        End Try

    End Function
    '------------------------------------------------------------------
    ' 
    Public Sub Dispose()

        frmCards.Dispose()

    End Sub

End Class
